#pragma once
#include "..\..\DuiLib\UIlib.h"
#include "DuiDefine.h"
#include "ChatDlg.h"
#include "EmbeddedDUIInMFCWindow.h"

class CChatToolBar : public EmbeddedDUIInMFCWindow
{
    DUI_DECLARE_MESSAGE_MAP()
public:
	CChatToolBar(CWnd* pParent);
	~CChatToolBar();
	enum { ID_CHAT_TOOL_BAR = 0x0B24};

	LPCTSTR GetWindowClassName() const;
	void InitWindow();
	void OnPrepare(TNotifyUI& msg);
	void SetClientRect(CRect rc);
	void LoadSkin();

	virtual CDuiString GetSkinFile();
	virtual CDuiString GetSkinFolder();
	virtual void OnFinalMessage(HWND hWnd);
	virtual CControlUI* CreateControl(LPCTSTR pstrClass);
private:
	CRect m_rcClient;
private:
    void _OnNotifyBtnFileClick( TNotifyUI& msg );
    void _OnNotifyBtnFontClick( TNotifyUI& msg );
    void _OnNotifyBtnStickerClick( TNotifyUI& msg );

	class CDialogBuilderCallbackEx : public IDialogBuilderCallback
	{
	public:
		CDialogBuilderCallbackEx(CChatToolBar *_pCharToolBar)
		{
			m_pCharToolBar = _pCharToolBar;
		}
		CControlUI* CreateControl(LPCTSTR pstrClass)
		{
			return m_pCharToolBar->CreateControl(pstrClass);
		}
		CChatToolBar *m_pCharToolBar;
	};
};
